import React from 'react';
import { Global, css } from '@emotion/react';
import tw, { theme, GlobalStyles as BaseStyles } from 'twin.macro';

const customStyles = css`
  :root {
    font-size: 16px;
    -webkit-tap-highlight-color: transparent;
    ${tw`antialiased font-sans`},
  }
`;

const GlobalStyles = () => (
  <React.Fragment>
    <BaseStyles />
    <Global styles={customStyles} />
  </React.Fragment>
);

export default GlobalStyles;
